<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\MitarbeiterNoten;

class FaecherEinfachPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  private $index;

  public function __construct($useCaseResponse, $index)
  {
    parent::__construct($useCaseResponse);
    $this->index = $index;
  }

  protected function getView()
  {
    return new FaecherEinfachView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new FaecherEinfachViewModel();
    $nichtBeurteilt = ($this->useCaseResponse['tnFach']->nichtbeurteilt) ? ' (nicht beurteilt)' : '';
    $viewModel->fachName = $this->useCaseResponse['name'] . $nichtBeurteilt;
    
    if ($this->useCaseResponse['notenDurchschnitt'] == 0) {
      $viewModel->noten_durchschnitt = 'ohne Noten';
    } else {
      $viewModel->noten_durchschnitt = 'Note: ' . $this->useCaseResponse['notenDurchschnitt'];
    }
    $viewModel->index = $this->index;

    return $viewModel;
  }
}